/*********************************************************************
 * Copyright (c) 2020 Red Hat, Inc.
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 **********************************************************************/
import Command from '@oclif/command';
import Listr = require('listr');
export declare class OLMTasks {
    /**
     * Returns list of tasks which perform preflight platform checks.
     */
    startTasks(flags: any, command: Command): Listr;
    preUpdateTasks(flags: any, command: Command): Listr;
    updateTasks(flags: any, command: Command): Listr;
    deleteTasks(flags: any): ReadonlyArray<Listr.ListrTask>;
    private isOlmPreInstalledTask;
    private isNightlyChectlChannel;
    private createSubscription;
}
